using System;
using System.Collections.Generic;

namespace Adaptation.Ifx.Eaf.EquipmentConnector.File.Component;

public class File
{

#pragma warning disable IDE0060

    public File(string filePath) => throw new NotImplementedException();
    public File(string filePath, DateTime timeFileFound) => throw new NotImplementedException();

    public string Path { get; }
    public DateTime TimeFound { get; }
    public bool IsErrorFile { get; }
    public Dictionary<string, string> ContentParameters { get; }

    public File UpdateContentParameters(Dictionary<string, string> contentParameters) => throw new NotImplementedException();
    public File UpdateParsingStatus(bool isErrorFile) => throw new NotImplementedException();

}